0

I have "meetanshi/magento-2-defer-parsing-javascript": "1.0.4" dependencie in my project. When running composer install inside my Dockerfile, I got the following error:

- Installing meetanshi/magento-2-defer-parsing-javascript (1.0.4): Downloading (connecting...) Downloading (failed)                                                                                                                                                                                                  [Composer\Downloader\TransportException]                                                                                                                                                             
The "https://repo.magento.com/archives/meetanshi/magento-2-defer-parsing-javascript/meetanshi-magento-2-defer-parsing-javascript-1.0.4.0.zip" file could not be downloaded (HTTP/1.1 404 Not Found)

Docker step with composer install

RUN set -eux; \
    mkdir /var/www/.composer; \
    chown www-data:www-data /var/www/.composer; \
    su -c "cd /var/www/html/ && composer global require hirak/prestissimo" -s /bin/sh www-data; \
    su -c "cd /var/www/html/ && composer install --no-dev --prefer-dist --no-interaction --optimize-autoloader" -s /bin/sh www-data; \
    rm -rf /var/www/.composer;
0

It's happening because you might not have the right setup, try to reinstall it using these commands below.

composer remove meetanshi/magento-2-defer-parsing-javascript
composer require meetanshi/magento-2-defer-parsing-javascript

Then you can run the Magento commands to recognize and compile your Magento.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.